Name: gnome-vfs
Version: 1.0.5
Release: alt6
Serial: 1

%define major 1

Summary: GNOME virtual file-system libraries
Group: System/Libraries
License: LGPL
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%version.tar.gz
Source2:        macros.tar.gz
Patch1: gnome-vfs-1.0.5-charset-and-rpmsave.patch
Patch2: gnome-vfs-1.0.5-alt-docs.patch
Url: http://www.gnome.org/
Packager: Nazar Yurpeak <phoenix@altlinux.org>

Obsoletes: libdesktopfile-devel
Requires: lib%name = %version-%release

# Automatically added by buildreq on Thu Jul 29 2004 (-bi)
BuildRequires: ORBit-devel XFree86-devel XFree86-libs bzlib-devel docbook-utils esound-devel glib-devel glib2 glibc-devel-static gnome-libs-devel gnome-mime-data gtk+-devel gtk-doc imlib-devel libGConf-devel libaudiofile-devel libcdparanoia-devel libdb1-devel libpopt-devel libssl-devel libxml-devel oaf-devel pkgconfig zlib-devel

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.

%package -n lib%name
Summary: Shared libraries of the GNOME VFS
Group: %group
Obsoletes: lib%name%major
%description -n lib%name
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package contains shared libraries for gnome-vfs.

%package -n lib%name-devel
Summary: Libraries and include files for developing GNOME VFS applications
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: oaf-devel
Provides: %name-devel = %version-%release
Obsoletes: %name-devel, lib%name%major-devel

%description -n lib%name-devel
This package contains files necessary to develop
applications that use GNOME VFS.

%if 0

%package -n libdesktopfile-devel
Summary: Temporary static library for handling GNOME Desktop files
Group: Development/GNOME and GTK+
Conflicts: lib%name-devel <= 1.0.3-alt3

%description -n libdesktopfile-devel
A little static library for handling desktop files. This is presumably
a temporary hack.

%endif

%package -n lib%name-devel-static
Summary: Static libraries for developing GNOME VFS applications
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static libraries to develop
applications that need to be statically linked with GNOME VFS.

%prep
%setup -q 
%patch1 -p1
#%patch2 -p1
#tar zxf %{SOURCE2}

%build
# for patch 1
#autoheader
#aclocal -I /usr/share/aclocal/gnome-macros
#autoconf

%configure --with-openssl-libs=%_libdir \
	   --disable-gtk-doc

echo "#define HAVE_CODESET 1" >> config.in

%make_build

%install
%makeinstall

%find_lang %name

%post -n lib%name -p %post_ldconfig

%postun -n lib%name -p %postun_ldconfig

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/vfs/modules/*.conf
%{_libdir}/vfs/extfs/*
%{_datadir}/gtk-doc/html/*

%files -n lib%name
%{_libdir}/*so*.0
%{_libdir}/libgnomevfs-pthread.so
%{_libdir}/vfs/modules/*.so

%files -n lib%name-devel
%{_includedir}/gnome-vfs-1.0
%{_libdir}/gnome-vfs-1.0
%{_bindir}/gnome-vfs-config
%{_libdir}/libgnomevfs.so
%{_libdir}/*.sh

%files -n lib%name-devel-static
%{_libdir}/*.a
%{_libdir}/vfs/modules/*.a


%changelog
* Thu Jul 29 2004 Nazar Yurpeak <phoenix@altlinux.org> 1:1.0.5-alt6
- fixed changelog

* Thu Jul 29 2004 Nazar Yurpeak <phoenix@altlinux.org> 1:1.0.5-alt5
- # 4872

* Fri Jun 11 2004 Nazar Yurpeak <phoenix@altlinux.org> 1:1.0.5-alt4
- Updated BuildRequires
- removed gtk-doc
 
* Thu Oct 23 2003 Nazar Yurpeak <phoenix@altlinux.org> 1:1.0.5-alt3
- Updated BuildRequires

* Thu Dec 05 2002 AEN <aen@altlinux.ru> 1:1.0.5-alt2
- Requires on lib%name added to %name

* Sat Nov 02 2002 AEN <aen@altlinux.ru> 1:1.0.5-alt1
- new version

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 1:1.0.3-alt8
- rebuilt with gcc-3.2

* Thu Jan 24 2002 AEN <aen@logic.ru> 1.0.3-alt7
- back to 1.0.3
- obsoletes gnome-mime

* Fri Nov 09 2001 AEN <aen@logic.ru> 1.0.3-alt5
- libification back

* Sat Nov 03 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.3-alt4
- -devel-static and libdesktopfile-devel
- Spec cleanup
- Updated BuildRequires
- Hit configure with a cluebat on OpenSSL

* Thu Oct 18 2001 AEN <aen@logic.ru> 1.0.3-alt3
- libgnomevfs-pthread.so moved to main package

* Mon Oct 15 2001 AEN <aen@logic.ru> 1.0.3-alt2
- gtk-doc added

* Mon Oct 15 2001 AEN <aen@logic.ru> 1.0.3-alt1
- new version

* Thu Sep 20 2001 AEN <aen@logic.ru> 1.0.2-alt1
- 1.0.2

* Wed May 11 2001 AEN <aen@logic.ru> 1.0.1-alt1
- 1.0.1

* Wed Mar 14 2001 AEN <aen@logic.ru> 1.0.0-ipl1mdk
- 1.0

* Mon Mar 12 2001 AEN <aen@logic.ru> 0.6.2-ipl2mdk
- rebuild for release

* Tue Mar 6 2001 AEN <aen@logic.ru> 0.6.2-ipl1mdk
- 0.6.2
* Thu Feb 22 2001 AEN <aen@logic.ru> 0.5-ipl1mdk
- 0.5
* Thu Feb 1 2001 AEN <aen@logic.ru>
- back to old library packages names

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-2mdk
- Correct BuildRequires

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-1mdk
- Release 0.4.2
- Put libraries in separate package

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-7mdk
- added requirements on GConf, control-center and others

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-6mdk
- rebuilded with libxml instead of libxml2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-5mdk
- added *.so in devel package

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Rebuild with new version of rpm macros (fix bad rpath)

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Add more files to packages

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- Move .so files to main package until libraries are correctly build

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Remove obsolete patch

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- first Mandrake package : BM + macroszification
- patch to correctly install libgnomevfs/gnome-vfs-file-size.h

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
